org.bouncycastle.crypto.tls

## Class Certificate

- java.lang.Object
- - org.bouncycastle.crypto.tls.Certificate

    public class Certificate
    extends java.lang.Object

A representation for a certificate chain as used by an tls server.

### Field Summary

Fields
`protected X509CertificateStructure[]` `certs` The certificates.

### Method Summary

Methods
`X509CertificateStructure[]` `getCerts()`
`protected static Certificate` `parse(java.io.InputStream is)` Parse the ServerCertificate message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### certs

    protected X509CertificateStructure[] certs

The certificates.

### Method Detail

#### parse

    protected static Certificate parse(java.io.InputStream is)
                                throws java.io.IOException

Parse the ServerCertificate message.

Parameters:
  `is` - The stream where to parse from.
Returns:
  A Certificate object with the certs, the server has sended.
Throws:
  `java.io.IOException` - If something goes wrong during parsing.

#### getCerts

    public X509CertificateStructure[] getCerts()

Returns:
  An array which contains the certs, this chain contains.